> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-findings-decoys-followup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Force Sync

> Trigger an immediate sync for a connector. The sync is queued and may not start
 instantly. Poll the connector's sync_status (or GetConnector) for progress; an empty
 success response means the sync was accepted onto the queue, not that it has finished.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/{connector_id}/force_sync
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/force_sync:
    post:
      tags:
        - Connector
      summary: Force Sync
      description: >-
        Trigger an immediate sync for a connector. The sync is queued and may
        not start
         instantly. Poll the connector's sync_status (or GetConnector) for progress; an empty
         success response means the sync was accepted onto the queue, not that it has finished.
      operationId: c1.api.app.v1.ConnectorService.ForceSync
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The AppID of the app the connector is attached to.
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: The ConnectorID of the connector that we are forcing to sync.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.app.v1.ForceSyncRequestInput'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.ForceSyncResponse'
          description: >-
            Empty response body. Status code indicates success. Poll the
            connector sync status
             for progress after ForceSync accepts the request.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.forceSync({
                appId: "<id>",
                connectorId: "<id>",
              });

              console.log(result);
            }


            run();
        - lang: go
          label: ForceSync
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.ForceSync(ctx, operations.C1APIAppV1ConnectorServiceForceSyncRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ForceSyncResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v1.ForceSyncRequestInput:
      description: >-
        Signal the connector to start syncing. This puts the sync on the queue.
        It does not guarantee immediate sync. Long syncs still take minutes to
        hours.
      title: Force Sync Request
      type: object
      x-speakeasy-name-override: ForceSyncRequest
    c1.api.app.v1.ForceSyncResponse:
      description: >-
        Empty response body. Status code indicates success. Poll the connector
        sync status
         for progress after ForceSync accepts the request.
      title: Force Sync Response
      type: object
      x-speakeasy-name-override: ForceSyncResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````